Tagging module util-vserver - util-vserver-0.30.215-6
[util-vserver.git] / configure
index eaf02e1..762be17 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for util-vserver 0.30.214.
+# Generated by GNU Autoconf 2.61 for util-vserver 0.30.215.
 #
 # Report bugs to <vserver@list.linux-vserver.org>.
 #
@@ -728,8 +728,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='util-vserver'
 PACKAGE_TARNAME='util-vserver'
-PACKAGE_VERSION='0.30.214'
-PACKAGE_STRING='util-vserver 0.30.214'
+PACKAGE_VERSION='0.30.215'
+PACKAGE_STRING='util-vserver 0.30.215'
 PACKAGE_BUGREPORT='vserver@list.linux-vserver.org'
 
 ac_unique_file="src/capchroot.c"
@@ -863,6 +863,7 @@ CCDEPMODE
 am__fastdepCC_TRUE
 am__fastdepCC_FALSE
 LN_S
+PKG_CONFIG
 ENSC_HAVE_CXX_COMPILER_TRUE
 ENSC_HAVE_CXX_COMPILER_FALSE
 ENSC_HAVE_C99_COMPILER_TRUE
@@ -909,6 +910,7 @@ CPIO
 RESTORE
 RSYNC
 STRACE
+FSCK
 DOXYGEN
 XSLTP
 XSLTPROC
@@ -949,6 +951,14 @@ ENSC_HAVE_BEECRYPT_TRUE
 ENSC_HAVE_BEECRYPT_FALSE
 ENSC_CAN_BEECRYPT_WITH_DIETLIBC_TRUE
 ENSC_CAN_BEECRYPT_WITH_DIETLIBC_FALSE
+NSS_CFLAGS
+NSS_LIBS
+ENSC_HAVE_CRYPTO_TRUE
+ENSC_HAVE_CRYPTO_FALSE
+ENSC_CAN_CRYPTO_WITH_DIETLIBC_TRUE
+ENSC_CAN_CRYPTO_WITH_DIETLIBC_FALSE
+ENSC_CRYPTO_CFLAGS
+ENSC_CRYPTO_LIB
 HAVE_GENTOO_INIT_TRUE
 HAVE_GENTOO_INIT_FALSE
 HAVE_SYSV_INIT_TRUE
@@ -967,12 +977,15 @@ CPPFLAGS
 CCC
 CC
 CFLAGS
+PKG_CONFIG
 CPP
 DIET
 DIETFLAGS
 CXXCPP
 F77
-FFLAGS'
+FFLAGS
+NSS_CFLAGS
+NSS_LIBS'
 
 
 # Initialize some variables set by options.
@@ -1475,7 +1488,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures util-vserver 0.30.214 to adapt to many kinds of systems.
+\`configure' configures util-vserver 0.30.215 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1545,7 +1558,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of util-vserver 0.30.214:";;
+     short | recursive ) echo "Configuration of util-vserver 0.30.215:";;
    esac
   cat <<\_ACEOF
 
@@ -1595,6 +1608,8 @@ Optional Packages:
                           both]
   --with-tags[=TAGS]      include additional configurations [automatic]
   --with-vrootdir=DIR     place vservers under DIR (default: /vservers)
+  --with-crypto-api=API   select crypto api to be used; possible values are
+                          `none', `nss', `beecrypt', `auto' (default:auto)
   --with-initscripts=TYPE force host initscripts; valid values are 'gentoo'
                           and 'sysv' (default: guess)
 
@@ -1608,12 +1623,15 @@ Some influential environment variables:
               you have headers in a nonstandard directory <include dir>
   CC          C compiler command
   CFLAGS      C compiler flags
+  PKG_CONFIG  path to pkg-config utility
   CPP         C preprocessor
   DIET        The 'diet' wrapper (default: diet)
   DIETFLAGS   Flags passed to the 'diet' wrapper (default: -O)
   CXXCPP      C++ preprocessor
   F77         Fortran 77 compiler command
   FFLAGS      Fortran 77 compiler flags
+  NSS_CFLAGS  C compiler flags for NSS, overriding pkg-config
+  NSS_LIBS    linker flags for NSS, overriding pkg-config
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
@@ -1679,7 +1697,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-util-vserver configure 0.30.214
+util-vserver configure 0.30.215
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1693,7 +1711,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by util-vserver $as_me 0.30.214, which was
+It was created by util-vserver $as_me 0.30.215, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -2387,7 +2405,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='util-vserver'
- VERSION='0.30.214'
+ VERSION='0.30.215'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -4424,6 +4442,126 @@ fi
 
 
 
+if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
+       if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
+set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+if test -n "$PKG_CONFIG"; then
+  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+echo "${ECHO_T}$PKG_CONFIG" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_path_PKG_CONFIG"; then
+  ac_pt_PKG_CONFIG=$PKG_CONFIG
+  # Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $ac_pt_PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
+if test -n "$ac_pt_PKG_CONFIG"; then
+  { echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
+echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_pt_PKG_CONFIG" = x; then
+    PKG_CONFIG=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    PKG_CONFIG=$ac_pt_PKG_CONFIG
+  fi
+else
+  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
+fi
+
+fi
+if test -n "$PKG_CONFIG"; then
+       _pkg_min_version=0.9.0
+       { echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
+echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; }
+       if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
+               { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+       else
+               { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+               PKG_CONFIG=""
+       fi
+
+fi
+
+
 
 
        { echo "$as_me:$LINENO: checking whether $CXX is a C++ compiler" >&5
@@ -8197,6 +8335,92 @@ Can not find the 'strace' tool within '${ensc_searchpath:-$PATH}'.
 
 
 
+       if test -z ""; then
+               rq=true
+       else
+               rq=false
+       fi
+
+       if $rq; then
+               ensc_dflt=
+       else
+               ensc_dflt=""
+       fi
+
+       for ac_prog in fsck
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_FSCK+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $FSCK in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_FSCK="$FSCK" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $ensc_searchpath
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_FSCK="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+FSCK=$ac_cv_path_FSCK
+if test -n "$FSCK"; then
+  { echo "$as_me:$LINENO: result: $FSCK" >&5
+echo "${ECHO_T}$FSCK" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+  test -n "$FSCK" && break
+done
+test -n "$FSCK" || FSCK="$ensc_dflt"
+
+
+       if test -z "${FSCK}" && $rq; then
+               if test -z ""; then
+                       { { echo "$as_me:$LINENO: error: Can not find the 'fsck' tool within '${ensc_searchpath:-$PATH}'." >&5
+echo "$as_me: error: Can not find the 'fsck' tool within '${ensc_searchpath:-$PATH}'." >&2;}
+   { (exit 1); exit 1; }; }
+               else
+                       { { echo "$as_me:$LINENO: error:
+Can not find the 'fsck' tool within '${ensc_searchpath:-$PATH}'.
+" >&5
+echo "$as_me: error:
+Can not find the 'fsck' tool within '${ensc_searchpath:-$PATH}'.
+" >&2;}
+   { (exit 1); exit 1; }; }
+               fi
+       fi
+
+       if test -e "${FSCK}"; then
+               FSCK=`readlink -f "${FSCK}"`
+       fi
+
+       test "${FSCK}" && ENSC_PATHPROG_SED="${ENSC_PATHPROG_SED}s!@'FSCK'@!${FSCK}!g;"
+
+       test "${FSCK}"
+
+
+
+
 
        if test -z ":"; then
                rq=true
@@ -12332,7 +12556,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 12335 "configure"' > conftest.$ac_ext
+  echo '#line 12559 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -14360,11 +14584,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14363: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14587: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14367: \$? = $ac_status" >&5
+   echo "$as_me:14591: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14628,11 +14852,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14631: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14855: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14635: \$? = $ac_status" >&5
+   echo "$as_me:14859: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14732,11 +14956,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14735: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14959: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14739: \$? = $ac_status" >&5
+   echo "$as_me:14963: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16197,7 +16421,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 16200 "configure"' > conftest.$ac_ext
+    echo '#line 16424 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -17061,7 +17285,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17064 "configure"
+#line 17288 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17161,7 +17385,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17164 "configure"
+#line 17388 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19497,11 +19721,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19500: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19724: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19504: \$? = $ac_status" >&5
+   echo "$as_me:19728: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -19601,11 +19825,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19604: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19828: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:19608: \$? = $ac_status" >&5
+   echo "$as_me:19832: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -20137,7 +20361,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 20140 "configure"' > conftest.$ac_ext
+    echo '#line 20364 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -21192,11 +21416,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:21195: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:21419: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:21199: \$? = $ac_status" >&5
+   echo "$as_me:21423: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -21296,11 +21520,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:21299: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:21523: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:21303: \$? = $ac_status" >&5
+   echo "$as_me:21527: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -22741,7 +22965,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 22744 "configure"' > conftest.$ac_ext
+    echo '#line 22968 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -23515,11 +23739,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:23518: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:23742: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:23522: \$? = $ac_status" >&5
+   echo "$as_me:23746: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -23783,11 +24007,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:23786: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:24010: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:23790: \$? = $ac_status" >&5
+   echo "$as_me:24014: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -23887,11 +24111,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:23890: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:24114: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:23894: \$? = $ac_status" >&5
+   echo "$as_me:24118: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -25352,7 +25576,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 25355 "configure"' > conftest.$ac_ext
+    echo '#line 25579 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
 fi
 
 
+{ echo "$as_me:$LINENO: checking for used crypto API" >&5
+echo $ECHO_N "checking for used crypto API... $ECHO_C" >&6; }
+
+# Check whether --with-crypto-api was given.
+if test "${with_crypto_api+set}" = set; then
+  withval=$with_crypto_api; case $withval in
+               (none|nss|beecrypt|auto)        ensc_crypto_api=$withval;;
+               (*)     { { echo "$as_me:$LINENO: error: invalid initscripts value, only gentoo and sysv are supported" >&5
+echo "$as_me: error: invalid initscripts value, only gentoo and sysv are supported" >&2;}
+   { (exit 1); exit 1; }; };;
+            esac
+else
+  ensc_crypto_api=auto
+fi
+
+{ echo "$as_me:$LINENO: result: $ensc_crypto_api" >&5
+echo "${ECHO_T}$ensc_crypto_api" >&6; }
+
+
+
+case $ensc_crypto_api in
+(auto|beecrypt)
 if test x"$ensc_cv_c99_c99compiler" = xyes; then
        ensc_have_beecrypt=yes
 
@@ -28138,22 +28384,23 @@ else
 fi
 
        fi
-
-       if test x"$ensc_have_beecrypt" != xyes; then
-               { echo "$as_me:$LINENO: WARNING:
-****
-**** 'beecrypt' could not be found;
-**** this will disable the build of 'vhashify'
-****" >&5
-echo "$as_me: WARNING:
-****
-**** 'beecrypt' could not be found;
-**** this will disable the build of 'vhashify'
-****" >&2;}
-       fi
 else
        ensc_have_beecrypt=no
-fi
+fi;;
+esac
+
+case $ensc_crypto_api in
+(auto)         if test x"$ensc_have_beecrypt"  = xyes; then
+                       { echo "$as_me:$LINENO: using beecrypt as crypto api" >&5
+echo "$as_me: using beecrypt as crypto api" >&6;}
+                       ensc_crypto_api=beecrypt
+               fi;;
+(beecrypt)     if test x"$ensc_have_beecrypt" != xyes; then
+                       { { echo "$as_me:$LINENO: error: beecrypt crypto api not found" >&5
+echo "$as_me: error: beecrypt crypto api not found" >&2;}
+   { (exit 1); exit 1; }; }
+               fi;;
+esac
 
  if test x"$ensc_have_beecrypt" = xyes; then
   ENSC_HAVE_BEECRYPT_TRUE=
 
 
 
+
+case $ensc_crypto_api in
+(nss)
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for NSS" >&5
+echo $ECHO_N "checking for NSS... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$NSS_CFLAGS"; then
+        pkg_cv_NSS_CFLAGS="$NSS_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"nss\"") >&5
+  ($PKG_CONFIG --exists --print-errors "nss") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_NSS_CFLAGS=`$PKG_CONFIG --cflags "nss" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+       pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$NSS_LIBS"; then
+        pkg_cv_NSS_LIBS="$NSS_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"nss\"") >&5
+  ($PKG_CONFIG --exists --print-errors "nss") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_NSS_LIBS=`$PKG_CONFIG --libs "nss" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+       pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+               NSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "nss"`
+        else
+               NSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "nss"`
+        fi
+       # Put the nasty error message in config.log where it belongs
+       echo "$NSS_PKG_ERRORS" >&5
+
+       { { echo "$as_me:$LINENO: error: Package requirements (nss) were not met:
+
+$NSS_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables NSS_CFLAGS
+and NSS_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+echo "$as_me: error: Package requirements (nss) were not met:
+
+$NSS_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables NSS_CFLAGS
+and NSS_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+       { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables NSS_CFLAGS
+and NSS_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&5
+echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables NSS_CFLAGS
+and NSS_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+else
+       NSS_CFLAGS=$pkg_cv_NSS_CFLAGS
+       NSS_LIBS=$pkg_cv_NSS_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+       :
+fi;;
+(auto)
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for NSS" >&5
+echo $ECHO_N "checking for NSS... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$NSS_CFLAGS"; then
+        pkg_cv_NSS_CFLAGS="$NSS_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"nss\"") >&5
+  ($PKG_CONFIG --exists --print-errors "nss") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_NSS_CFLAGS=`$PKG_CONFIG --cflags "nss" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+       pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$NSS_LIBS"; then
+        pkg_cv_NSS_LIBS="$NSS_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"nss\"") >&5
+  ($PKG_CONFIG --exists --print-errors "nss") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_NSS_LIBS=`$PKG_CONFIG --libs "nss" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+       pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+               NSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "nss"`
+        else
+               NSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "nss"`
+        fi
+       # Put the nasty error message in config.log where it belongs
+       echo "$NSS_PKG_ERRORS" >&5
+
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+                { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+elif test $pkg_failed = untried; then
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+else
+       NSS_CFLAGS=$pkg_cv_NSS_CFLAGS
+       NSS_LIBS=$pkg_cv_NSS_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+
+               { echo "$as_me:$LINENO: using NSS as crypto api" >&5
+echo "$as_me: using NSS as crypto api" >&6;}
+               ensc_crypto_api=nss
+fi;;
+esac
+
+
+case $ensc_crypto_api in
+(beecrypt)
+       ENSC_HAVE_CRYPTO=true
+       ENSC_CRYPTO_API=ENSC_CRYPTO_API_BEECRYPT
+       ENSC_CRYPTO_CFLAGS=
+       ENSC_CRYPTO_LIB=-lbeecrypt
+       ENSC_CAN_CRYPTO_WITH_DIETLIBC=false
+       ;;
+
+(nss)
+       ENSC_HAVE_CRYPTO=true
+       ENSC_CRYPTO_API=ENSC_CRYPTO_API_NSS
+       ENSC_CRYPTO_CFLAGS=$NSS_CFLAGS
+       ENSC_CRYPTO_LIB=$NSS_LIBS
+       ENSC_CAN_CRYPTO_WITH_DIETLIBC=false
+       ;;
+
+(none)
+       ENSC_HAVE_CRYPTO=false
+       ENSC_CRYPTO_API=ENSC_CRYPTO_API_NONE
+       ENSC_CRYPTO_CFLAGS=
+       ENSC_CRYPTO_LIB=
+       ENSC_CAN_CRYPTO_WITH_DIETLIBC=false
+
+       { echo "$as_me:$LINENO: WARNING: No crypto api found/select. This will disable the build of \`vhashify'" >&5
+echo "$as_me: WARNING: No crypto api found/select. This will disable the build of \`vhashify'" >&2;}
+       ;;
+
+(*)    { { echo "$as_me:$LINENO: error: internal error" >&5
+echo "$as_me: error: internal error" >&2;}
+   { (exit 1); exit 1; }; }
+esac
+
+ if $ENSC_HAVE_CRYPTO; then
+  ENSC_HAVE_CRYPTO_TRUE=
+  ENSC_HAVE_CRYPTO_FALSE='#'
+else
+  ENSC_HAVE_CRYPTO_TRUE='#'
+  ENSC_HAVE_CRYPTO_FALSE=
+fi
+
+ if $ENSC_CAN_CRYPTO_WITH_DIETLIBC; then
+  ENSC_CAN_CRYPTO_WITH_DIETLIBC_TRUE=
+  ENSC_CAN_CRYPTO_WITH_DIETLIBC_FALSE='#'
+else
+  ENSC_CAN_CRYPTO_WITH_DIETLIBC_TRUE='#'
+  ENSC_CAN_CRYPTO_WITH_DIETLIBC_FALSE=
+fi
+
+ENSC_CRYPTO_CFLAGS=$ENSC_CRYPTO_CFLAGS
+
+ENSC_CRYPTO_LIB=$ENSC_CRYPTO_LIB
+
+
+cat >>confdefs.h <<_ACEOF
+#define ENSC_CRYPTO_API $ENSC_CRYPTO_API
+_ACEOF
+
+
+
+
 { echo "$as_me:$LINENO: checking for host initscripts" >&5
 echo $ECHO_N "checking for host initscripts... $ECHO_C" >&6; }
 
@@ -28497,6 +28997,20 @@ echo "$as_me: error: conditional \"ENSC_CAN_BEECRYPT_WITH_DIETLIBC\" was never d
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${ENSC_HAVE_CRYPTO_TRUE}" && test -z "${ENSC_HAVE_CRYPTO_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"ENSC_HAVE_CRYPTO\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"ENSC_HAVE_CRYPTO\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${ENSC_CAN_CRYPTO_WITH_DIETLIBC_TRUE}" && test -z "${ENSC_CAN_CRYPTO_WITH_DIETLIBC_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"ENSC_CAN_CRYPTO_WITH_DIETLIBC\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"ENSC_CAN_CRYPTO_WITH_DIETLIBC\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${HAVE_GENTOO_INIT_TRUE}" && test -z "${HAVE_GENTOO_INIT_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"HAVE_GENTOO_INIT\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -28527,6 +29041,7 @@ Features:
             ext2fs Source: $ensc_cv_test_ext2fs_header
     syscall(2) invocation: $with_syscall
       vserver(2) syscall#: $ensc_cv_value_syscall_vserver
+               crypto api: $ensc_crypto_api
 
 Paths:
                    prefix: $prefix
@@ -28838,7 +29353,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by util-vserver $as_me 0.30.214, which was
+This file was extended by util-vserver $as_me 0.30.215, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -28891,7 +29406,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-util-vserver config.status 0.30.214
+util-vserver config.status 0.30.215
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -29167,9 +29682,9 @@ CCDEPMODE!$CCDEPMODE$ac_delim
 am__fastdepCC_TRUE!$am__fastdepCC_TRUE$ac_delim
 am__fastdepCC_FALSE!$am__fastdepCC_FALSE$ac_delim
 LN_S!$LN_S$ac_delim
+PKG_CONFIG!$PKG_CONFIG$ac_delim
 ENSC_HAVE_CXX_COMPILER_TRUE!$ENSC_HAVE_CXX_COMPILER_TRUE$ac_delim
 ENSC_HAVE_CXX_COMPILER_FALSE!$ENSC_HAVE_CXX_COMPILER_FALSE$ac_delim
-ENSC_HAVE_C99_COMPILER_TRUE!$ENSC_HAVE_C99_COMPILER_TRUE$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -29211,6 +29726,7 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+ENSC_HAVE_C99_COMPILER_TRUE!$ENSC_HAVE_C99_COMPILER_TRUE$ac_delim
 ENSC_HAVE_C99_COMPILER_FALSE!$ENSC_HAVE_C99_COMPILER_FALSE$ac_delim
 ENSC_PATHPROG_SED!$ENSC_PATHPROG_SED$ac_delim
 CAT!$CAT$ac_delim
@@ -29254,6 +29770,7 @@ CPIO!$CPIO$ac_delim
 RESTORE!$RESTORE$ac_delim
 RSYNC!$RSYNC$ac_delim
 STRACE!$STRACE$ac_delim
+FSCK!$FSCK$ac_delim
 DOXYGEN!$DOXYGEN$ac_delim
 XSLTP!$XSLTP$ac_delim
 XSLTPROC!$XSLTPROC$ac_delim
@@ -29294,15 +29811,64 @@ ENSC_HAVE_BEECRYPT_TRUE!$ENSC_HAVE_BEECRYPT_TRUE$ac_delim
 ENSC_HAVE_BEECRYPT_FALSE!$ENSC_HAVE_BEECRYPT_FALSE$ac_delim
 ENSC_CAN_BEECRYPT_WITH_DIETLIBC_TRUE!$ENSC_CAN_BEECRYPT_WITH_DIETLIBC_TRUE$ac_delim
 ENSC_CAN_BEECRYPT_WITH_DIETLIBC_FALSE!$ENSC_CAN_BEECRYPT_WITH_DIETLIBC_FALSE$ac_delim
+NSS_CFLAGS!$NSS_CFLAGS$ac_delim
+NSS_LIBS!$NSS_LIBS$ac_delim
+ENSC_HAVE_CRYPTO_TRUE!$ENSC_HAVE_CRYPTO_TRUE$ac_delim
+ENSC_HAVE_CRYPTO_FALSE!$ENSC_HAVE_CRYPTO_FALSE$ac_delim
+ENSC_CAN_CRYPTO_WITH_DIETLIBC_TRUE!$ENSC_CAN_CRYPTO_WITH_DIETLIBC_TRUE$ac_delim
+ENSC_CAN_CRYPTO_WITH_DIETLIBC_FALSE!$ENSC_CAN_CRYPTO_WITH_DIETLIBC_FALSE$ac_delim
+ENSC_CRYPTO_CFLAGS!$ENSC_CRYPTO_CFLAGS$ac_delim
+ENSC_CRYPTO_LIB!$ENSC_CRYPTO_LIB$ac_delim
 HAVE_GENTOO_INIT_TRUE!$HAVE_GENTOO_INIT_TRUE$ac_delim
 HAVE_GENTOO_INIT_FALSE!$HAVE_GENTOO_INIT_FALSE$ac_delim
 HAVE_SYSV_INIT_TRUE!$HAVE_SYSV_INIT_TRUE$ac_delim
 HAVE_SYSV_INIT_FALSE!$HAVE_SYSV_INIT_FALSE$ac_delim
+_ACEOF
+
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
+    break
+  elif $ac_last_try; then
+    { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+    ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
+  fi
+done
+
+ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
+if test -n "$ac_eof"; then
+  ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
+  ac_eof=`expr $ac_eof + 1`
+fi
+
+cat >>$CONFIG_STATUS <<_ACEOF
+cat >"\$tmp/subs-2.sed" <<\CEOF$ac_eof
+/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
+_ACEOF
+sed '
+s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
+s/^/s,@/; s/!/@,|#_!!_#|/
+:n
+t n
+s/'"$ac_delim"'$/,g/; t
+s/$/\\/; p
+N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
+' >>$CONFIG_STATUS <conf$$subs.sed
+rm -f conf$$subs.sed
+cat >>$CONFIG_STATUS <<_ACEOF
+CEOF$ac_eof
+_ACEOF
+
+
+ac_delim='%!_!# '
+for ac_last_try in false false false false false :; do
+  cat >conf$$subs.sed <<_ACEOF
 LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 89; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 2; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -29320,7 +29886,7 @@ if test -n "$ac_eof"; then
 fi
 
 cat >>$CONFIG_STATUS <<_ACEOF
-cat >"\$tmp/subs-2.sed" <<\CEOF$ac_eof
+cat >"\$tmp/subs-3.sed" <<\CEOF$ac_eof
 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
 _ACEOF
 sed '
@@ -29589,7 +30155,7 @@ s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
 s&@INSTALL@&$ac_INSTALL&;t t
 s&@MKDIR_P@&$ac_MKDIR_P&;t t
 $ac_datarootdir_hack
-" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
+" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
 
 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&